package cn.ysk.cashier.vo;


public class TbOrderPayCountVo {
    private String icon;
    private String payType;
    //是否展示金额标识
    private String isAmount="1";
    private Object payAmount;

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public Object getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Object payAmount) {
        this.payAmount = payAmount;
    }


    public String getIsAmount() {
        return isAmount;
    }

    public void setIsAmount(String isAmount) {
        this.isAmount = isAmount;
    }

    public TbOrderPayCountVo(String payType, Object payAmount) {
        this.payType = payType;
        this.payAmount = payAmount;
        if (payAmount == null) {
            this.payAmount = 0;
        }
    }

    public TbOrderPayCountVo(String icon, String payType, String isAmount, Object payAmount) {
        this.icon = icon;
        this.payType = payType;
        this.isAmount = isAmount;
        this.payAmount = payAmount;
        if (payAmount == null) {
            this.payAmount = 0;
        }
    }
}
